package org.example.world.dto;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//
//create view V_ORGANIZATION_SUMMARY
//  (Country_name, organization_name, ORGANIZATION_code)
//   as 
//     SELECT ctry.NAME, org.NAME, org.code 
//        FROM ORGANIZATION org
//     JOIN COUNTRY_ORGANIZATION co
//        ON co.ORGANIZATION_CODE = org.CODE 
//     JOIN COUNTRY ctry 
//        ON co.COUNTRY_CODE = ctry.CODE 
//     ORDER BY ctry.NAME

@Entity
@Table(name="V_ORGANIZATION_SUMMARY")
public class OrganizationSummary
{
    private String countryName;
    private String organizationName;
    @Id
    private String organizationCode;

    public OrganizationSummary() {
		super();
	}

	/**
     * @return the countryName
     */
    public String getCountryName()
    {
        return countryName;
    }

    /**
     * @param countryName
     *                        the countryName to set
     */
    public void setCountryName(String countryName)
    {
        this.countryName = countryName;
    }

    /**
     * @return the organizationName
     */
    public String getOrganizationName()
    {
        return organizationName;
    }

    /**
     * @param organizationName
     *                             the organizationName to set
     */
    public void setOrganizationName(String organizationName)
    {
        this.organizationName = organizationName;
    }

    /**
     * @return the organizationCode
     */
    public String getOrganizationCode()
    {
        return organizationCode;
    }

    /**
     * @param organizationCode
     *                             the organizationCode to set
     */
    public void setOrganizationCode(String organizationCode)
    {
        this.organizationCode = organizationCode;
    }

}
